# Class CLEG.ClegData

java.lang.Object
org.jmol.symmetry.CLEG.ClegData

Enclosing class:
  `CLEG`

public static class CLEG.ClegData extends Object
running data items for assignSpaceGroup iteration

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`errString`
`Symmetry`
`sym`
`final String[]`
`tokens`
`M4`
`trMat`

## Constructor Summary

Constructors
Constructor
Description
`ClegData(SymmetryInterface sym, String[] tokens)`

## Method Summary

Modifier and Type
Method
Description
`String`
`abcFor(M4 trm)`
`String`
`addPrimitiveTransform(String myIta, String myTrm)`
`M4`
`addSGTransform(String tr, String what)`
`void`
`addTransform(int index, String transform)`
`void`
`addTransformLink()`
`String`
`calculate(M4 trm0)`
`CLEG.ClegNode`
`getPrevNode()`
`M4`
`matFor(String trm)`
`void`
`removePrevNodeTrm()`
`void`
`setNodeTransform(CLEG.ClegNode node)`
`CLEG.ClegNode`
`setPrevNode(CLEG.ClegNode node)`
`void`
`setReturnLst(Lst<Object> ret)`
`void`
`setReturnMap(Map<String,Object> ret)`
`void`
`setSymmetry(SymmetryInterface sym)`
`void`
`updateTokens(CLEG.ClegNode node)`
fill in the blanks to create a CLEG string when joined.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tokens

public final String[] tokens

### sym

public Symmetry sym

### trMat

public M4 trMat

### errString

public String errString

## Constructor Details

### ClegData

public ClegData(SymmetryInterface sym, String[] tokens)

## Method Details

### setSymmetry

public void setSymmetry(SymmetryInterface sym)

### addSGTransform

public M4 addSGTransform(String tr, String what)

### abcFor

public String abcFor(M4 trm)

### matFor

public M4 matFor(String trm)

### removePrevNodeTrm

public void removePrevNodeTrm()

### calculate

public String calculate(M4 trm0)

### updateTokens

public void updateTokens(CLEG.ClegNode node)
fill in the blanks to create a CLEG string when joined.

Parameters:
  `node` -

### addTransformLink

public void addTransformLink()

### setNodeTransform

public void setNodeTransform(CLEG.ClegNode node)

### addTransform

public void addTransform(int index, String transform)

### getPrevNode

public CLEG.ClegNode getPrevNode()

### setPrevNode

public CLEG.ClegNode setPrevNode(CLEG.ClegNode node)

### addPrimitiveTransform

public String addPrimitiveTransform(String myIta, String myTrm)

### setReturnMap

public void setReturnMap(Map<String,Object> ret)

### setReturnLst

public void setReturnLst(Lst<Object> ret)